Bug 215149 - [NEW PORT] py-django-{babel,openstack-auth,pyscss}
Summary: [NEW PORT] py-django-{babel,openstack-auth,pyscss}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks: 215155
  Show dependency treegraph
 
Reported: 2016-12-08 12:02 UTC by Alexander Nusov
Modified: 2016-12-12 16:17 UTC (History)
1 user (show)

See Also:


Attachments
django libraries (10.69 KB, patch)
2016-12-08 12:02 UTC, Alexander Nusov
no flags Details | Diff
move ports to www/, remove duplicate django-compressor (7.91 KB, patch)
2016-12-11 10:52 UTC, Alexander Nusov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nusov 2016-12-08 12:02:27 UTC
Created attachment 177794 [details]
django libraries

This port brings some django libraries

+PORTNAME=	django-babel
+PORTNAME=	django-compressor
+PORTNAME=	django-openstack-auth
+PORTNAME=	django-pyscss
Comment 1 Roman Bogorodskiy freebsd_committer 2016-12-11 08:21:00 UTC
django_comporess seems to be already available in the ports tree: http://www.freshports.org/www/py-django_compressor. Isn't that the one we need?
Comment 2 Roman Bogorodskiy freebsd_committer 2016-12-11 08:23:44 UTC
Also, it looks like django ports are typically go to www instead of devel:

(12:22) novel@kloomba:~/ports_stuff %> ls /usr/ports/devel|grep -i django|wc -l
       5
(12:22) novel@kloomba:~/ports_stuff %> ls /usr/ports/www|grep -i django|wc -l
      91
(12:22) novel@kloomba:~/ports_stuff %> 

I guess it'd be more consistent to use www as well for these ports.
Comment 3 Alexander Nusov 2016-12-11 10:50:52 UTC
(In reply to Roman Bogorodskiy from comment #2)
> http://www.freshports.org/www/py-django_compressor. Isn't that the one we need?
Yes, it is. thanks.

> I guess it'd be more consistent to use www as well for these ports.
Great idea. I'll update the patch.
Comment 4 Alexander Nusov 2016-12-11 10:52:52 UTC
Created attachment 177863 [details]
move ports to www/, remove duplicate django-compressor
Comment 5 commit-hook freebsd_committer 2016-12-12 16:06:20 UTC
A commit references this bug:

Author: novel
Date: Mon Dec 12 16:05:46 UTC 2016
New revision: 428418
URL: https://svnweb.freebsd.org/changeset/ports/428418

Log:
  Add py-django-babel 0.5.1, utilities for using Babel in django.

  PR:		215149
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/www/Makefile
  head/www/py-django-babel/
  head/www/py-django-babel/Makefile
  head/www/py-django-babel/distinfo
  head/www/py-django-babel/pkg-descr
Comment 6 commit-hook freebsd_committer 2016-12-12 16:08:24 UTC
A commit references this bug:

Author: novel
Date: Mon Dec 12 16:07:35 UTC 2016
New revision: 428419
URL: https://svnweb.freebsd.org/changeset/ports/428419

Log:
  Add py-django-pyscss 2.0.2, makes it easier to use PySCSS in Django.

  PR:		215149
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/www/Makefile
  head/www/py-django-pyscss/
  head/www/py-django-pyscss/Makefile
  head/www/py-django-pyscss/distinfo
  head/www/py-django-pyscss/pkg-descr
Comment 7 commit-hook freebsd_committer 2016-12-12 16:10:27 UTC
A commit references this bug:

Author: novel
Date: Mon Dec 12 16:09:53 UTC 2016
New revision: 428420
URL: https://svnweb.freebsd.org/changeset/ports/428420

Log:
  Add py-django-openstack-auth 3.0.0, django authentication backend for
  use with OpenStack Identity.

  PR:		215149
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/www/Makefile
  head/www/py-django-openstack-auth/
  head/www/py-django-openstack-auth/Makefile
  head/www/py-django-openstack-auth/distinfo
  head/www/py-django-openstack-auth/pkg-descr
Comment 8 Roman Bogorodskiy freebsd_committer 2016-12-12 16:17:00 UTC
Committed, thanks!